<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010-now Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined('_JEXEC') or die;

// Include the component HTML helpers.
//JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');
use Joomla\CMS\HTML\HTMLHelper;
JHtml::_('behavior.multiselect');

$user		= JFactory::getUser();
$userId		= $user->get('id');
$extension	= 'com_abook';
$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));
//$ordering 	= ($listOrder == 'a.lft');
$saveOrder 	= ($listOrder == 'a.lft' && strtolower($listDirn) == 'asc');
$originalOrders = array();

if ($saveOrder && !empty($this->items)) {
    $saveOrderingUrl = 'index.php?option=com_abook&task=categories.saveOrderAjax&tmpl=component';
    HTMLHelper::_('draggablelist.draggable');
}

?>
<form action="<?php echo JRoute::_('index.php?option=com_abook&view=categories');?>" method="post" name="adminForm" id="adminForm">
  <div class="row">
    <div class="col-md-12">
        <div id="j-main-container" class="j-main-container">
                <?php
                // Search tools bar
                echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this));
                ?>
                <?php if (empty($this->items)) : ?>
			<div class="alert alert-info">
                        	<span class="icon-info-circle" aria-hidden="true"></span><span class="visually-hidden"><?php echo JText::_('INFO'); ?></span>
	                        <?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
        	        </div>
                <?php else : ?>
	<table class="table itemList" id="categoryList">
                <caption class="visually-hidden">
                      <?php echo JText::_('COM_ABOOK_CATEGORIES_TABLE_CAPTION'); ?>,
                      <span id="orderedBy"><?php echo JText::_('JGLOBAL_SORTED_BY'); ?> </span>,
                      <span id="filteredBy"><?php echo JText::_('JGLOBAL_FILTERED_BY'); ?></span>
                </caption>

		<thead>
			<tr>
                                <th class="w-1 text-center">
                                        <?php echo JHtml::_('grid.checkall'); ?>
                                </th>
                                <th scope="col" class="w-1 text-center d-none d-md-table-cell">
                                    <?php echo HTMLHelper::_('searchtools.sort', '', 'a.lft', $listDirn, $listOrder, null, 'asc', 'JGRID_HEADING_ORDERING', 'icon-sort'); ?>
                                </th>
				<th class="w-1 text-center">
                                        <?php echo JHtml::_('searchtools.sort', 'JSTATUS', 'a.published', $listDirn, $listOrder); ?>
                                </th>
				<th>
					<?php echo JHtml::_('searchtools.sort', 'JGLOBAL_TITLE', 'a.title', $listDirn, $listOrder); ?>
				</th>
				<th class="w-10 d-none d-md-table-cell">
					<?php echo JHtml::_('searchtools.sort',  'JGRID_HEADING_ACCESS', 'access_level', $listDirn, $listOrder); ?>
				</th>
				<th class="w-10 d-none d-md-table-cell">
					<?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_LANGUAGE', 'language', $this->state->get('list.direction'), $this->state->get('list.ordering')); ?>
				</th>
				<th class="text-end w-5 d-none d-md-table-cell">
					<?php echo JHtml::_('searchtools.sort',  'JGRID_HEADING_ID', 'a.id', $listDirn, $listOrder); ?>
				</th>
			</tr>
		</thead>
                <tbody <?php if ($saveOrder) :
                            ?> class="js-draggable" data-url="<?php echo $saveOrderingUrl; ?>" data-direction="<?php echo strtolower($listDirn); ?>" data-nested="false"<?php
                       endif; ?>>

			<?php
			$originalOrders = array();
			foreach ($this->items as $i => $item) :
				$orderkey = array_search($item->id, $this->ordering[$item->parent_id]);
				$canEdit = $user->authorise('core.edit', $extension.'.category.'.$item->id);
				$canCheckin = $user->authorise('core.admin', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0;
				$canEditOwn = $user->authorise('core.edit.own',	$extension.'.category.'.$item->id) && $item->created_user_id == $userId;
				$canChange = $user->authorise('core.edit.state', $extension.'.category.'.$item->id) && $canCheckin;
                                                // Get the parents of item for sorting
                                                if ($item->level > 1)
                                                {
                                                        $parentsStr = "";
                                                        $_currentParentId = $item->parent_id;
                                                        $parentsStr = " " . $_currentParentId;
                                                        for ($i2 = 0; $i2 < $item->level; $i2++)
                                                        {
                                                                foreach ($this->ordering as $k => $v)
                                                                {
                                                                        $v = implode("-", $v);
                                                                        $v = "-" . $v . "-";
                                                                        if (strpos($v, "-" . $_currentParentId . "-") !== false)
                                                                        {
                                                                                $parentsStr .= " " . $k;
                                                                                $_currentParentId = $k;
                                                                                break;
                                                                        }
                                                                }
                                                        }
                                                }
                                                else
                                                {
                                                        $parentsStr = "";
                                                }
			?>
                                <tr class="row<?php echo $i % 2; ?>" data-draggable-group="<?php echo $item->parent_id; ?>"
                                    data-item-id="<?php echo $item->id ?>" data-parents="<?php echo $parentsStr ?>"
                                    data-level="<?php echo $item->level ?>">
                                    <td class="text-center">
						<?php echo HTMLHelper::_('grid.id', $i, $item->id, false, 'cid', 'cb', $item->title); ?>
                                    </td>

                                    <td class="text-center d-none d-md-table-cell">
                                        <?php
                                        $iconClass = '';
                                        if (!$canChange) {
                                            $iconClass = ' inactive';
                                        } elseif (!$saveOrder) {
                                            $iconClass = ' inactive" title="' . JText::_('JORDERINGDISABLED');
                                        }
                                        ?>
                                        <span class="sortable-handler<?php echo $iconClass ?>">
                                            <span class="icon-ellipsis-v"></span>
                                        </span>
                                        <?php if ($canChange && $saveOrder) : ?>
                                            <input type="text" class="hidden" name="order[]" size="5" value="<?php echo $item->lft; ?>">
                                        <?php endif; ?>
                                    </td>

					<td class="text-center">
                                                <?php echo JHtml::_('jgrid.published', $item->published, $i, 'categories.', $canChange);?>
                                        </td>
					<th class="has-context">
						<?php echo str_repeat('<span class="gi">|&mdash;</span>', $item->level-1) ?>
						<?php if ($item->checked_out) : ?>
							<?php echo JHtml::_('jgrid.checkedout', $i, $item->owner, $item->checked_out_time, 'categories.', $canCheckin); ?>
						<?php endif; ?>
						<?php if ($canEdit || $canEditOwn) : ?>
							<a href="<?php echo JRoute::_('index.php?option=com_abook&task=category.edit&id='.$item->id);?>">
								<?php echo $this->escape($item->title); ?></a>
						<?php else : ?>
							<?php echo $this->escape($item->title); ?>
						<?php endif; ?>
						<div class="small" title="<?php echo $this->escape($item->path);?>">
							<?php if (empty($item->note)) : ?>
								<?php echo JText::sprintf('JGLOBAL_LIST_ALIAS', $this->escape($item->alias));?>
							<?php else : ?>
								<?php echo JText::sprintf('JGLOBAL_LIST_ALIAS_NOTE', $this->escape($item->alias), $this->escape($item->note));?>
							<?php endif; ?>
						</div>
					</th>
					<td class="small d-none d-md-table-cell">
						<?php echo $this->escape($item->access_level); ?>
					</td>
					<td class="small d-none d-md-table-cell">
					<?php if ($item->language=='*'):?>
						<?php echo JText::alt('JALL','language'); ?>
					<?php else:?>
						<?php echo $item->language_title ? $this->escape($item->language_title) : JText::_('JUNDEFINED'); ?>
					<?php endif;?>
					</td>
					<td class="text-end d-none d-md-table-cell">
						<span title="<?php echo sprintf('%d-%d', $item->lft, $item->rgt);?>">
							<?php echo (int) $item->id; ?></span>
					</td>
				</tr>
			<?php endforeach; ?>
		</tbody>
	</table>
	<?php echo $this->pagination->getListFooter(); ?>
	<?php endif;?>
	<?php //Load the batch processing form. ?>
	<?php //echo $this->loadTemplate('batch'); ?>

		<input type="hidden" name="extension" value="<?php echo $extension;?>" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
    </div>
  </div>
</form>
<div class="clearfix"></div>
<div><?php echo JHTML::_('credit.credit');?></div>
